package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.util.Date;

public class TbPlussMerchantBankCard implements Serializable {
    private Integer id;

    private String merchantcode;

    private String storeid;

    private String bankcardno;

    private String bankaddressno;

    private String bankcertname;

    private String bankname;

    private String branchname;

    private String accounttype;

    private String contactline;

    private String branchprovince;

    private String branchcity;

    private String brancharea;

    private String certtype;

    private String certno;

    private String certstarttime;

    private String certendtime;

    private String cardholderaddress;

    private String orderno;

    private String merchantid;

    private String registerstatus;

    private String failreason;

    private String accountno;

    private String wechatchannellist;

    private String phone;

    private Date createdt;

    private Date updatedt;

    private String aisleswitch;

    private String certfullphoto;

    private String certbackphoto;

    private String bankcardfrontpic;

    private String userid;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getMerchantcode() {
        return merchantcode;
    }

    public void setMerchantcode(String merchantcode) {
        this.merchantcode = merchantcode == null ? null : merchantcode.trim();
    }

    public String getStoreid() {
        return storeid;
    }

    public void setStoreid(String storeid) {
        this.storeid = storeid == null ? null : storeid.trim();
    }

    public String getBankcardno() {
        return bankcardno;
    }

    public void setBankcardno(String bankcardno) {
        this.bankcardno = bankcardno == null ? null : bankcardno.trim();
    }

    public String getBankaddressno() {
        return bankaddressno;
    }

    public void setBankaddressno(String bankaddressno) {
        this.bankaddressno = bankaddressno == null ? null : bankaddressno.trim();
    }

    public String getBankcertname() {
        return bankcertname;
    }

    public void setBankcertname(String bankcertname) {
        this.bankcertname = bankcertname == null ? null : bankcertname.trim();
    }

    public String getBankname() {
        return bankname;
    }

    public void setBankname(String bankname) {
        this.bankname = bankname == null ? null : bankname.trim();
    }

    public String getBranchname() {
        return branchname;
    }

    public void setBranchname(String branchname) {
        this.branchname = branchname == null ? null : branchname.trim();
    }

    public String getAccounttype() {
        return accounttype;
    }

    public void setAccounttype(String accounttype) {
        this.accounttype = accounttype == null ? null : accounttype.trim();
    }

    public String getContactline() {
        return contactline;
    }

    public void setContactline(String contactline) {
        this.contactline = contactline == null ? null : contactline.trim();
    }

    public String getBranchprovince() {
        return branchprovince;
    }

    public void setBranchprovince(String branchprovince) {
        this.branchprovince = branchprovince == null ? null : branchprovince.trim();
    }

    public String getBranchcity() {
        return branchcity;
    }

    public void setBranchcity(String branchcity) {
        this.branchcity = branchcity == null ? null : branchcity.trim();
    }

    public String getBrancharea() {
        return brancharea;
    }

    public void setBrancharea(String brancharea) {
        this.brancharea = brancharea == null ? null : brancharea.trim();
    }

    public String getCerttype() {
        return certtype;
    }

    public void setCerttype(String certtype) {
        this.certtype = certtype == null ? null : certtype.trim();
    }

    public String getCertno() {
        return certno;
    }

    public void setCertno(String certno) {
        this.certno = certno == null ? null : certno.trim();
    }

    public String getCertstarttime() {
        return certstarttime;
    }

    public void setCertstarttime(String certstarttime) {
        this.certstarttime = certstarttime == null ? null : certstarttime.trim();
    }

    public String getCertendtime() {
        return certendtime;
    }

    public void setCertendtime(String certendtime) {
        this.certendtime = certendtime == null ? null : certendtime.trim();
    }

    public String getCardholderaddress() {
        return cardholderaddress;
    }

    public void setCardholderaddress(String cardholderaddress) {
        this.cardholderaddress = cardholderaddress == null ? null : cardholderaddress.trim();
    }

    public String getOrderno() {
        return orderno;
    }

    public void setOrderno(String orderno) {
        this.orderno = orderno == null ? null : orderno.trim();
    }

    public String getMerchantid() {
        return merchantid;
    }

    public void setMerchantid(String merchantid) {
        this.merchantid = merchantid == null ? null : merchantid.trim();
    }

    public String getRegisterstatus() {
        return registerstatus;
    }

    public void setRegisterstatus(String registerstatus) {
        this.registerstatus = registerstatus == null ? null : registerstatus.trim();
    }

    public String getFailreason() {
        return failreason;
    }

    public void setFailreason(String failreason) {
        this.failreason = failreason == null ? null : failreason.trim();
    }

    public String getAccountno() {
        return accountno;
    }

    public void setAccountno(String accountno) {
        this.accountno = accountno == null ? null : accountno.trim();
    }

    public String getWechatchannellist() {
        return wechatchannellist;
    }

    public void setWechatchannellist(String wechatchannellist) {
        this.wechatchannellist = wechatchannellist == null ? null : wechatchannellist.trim();
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone == null ? null : phone.trim();
    }

    public Date getCreatedt() {
        return createdt;
    }

    public void setCreatedt(Date createdt) {
        this.createdt = createdt;
    }

    public Date getUpdatedt() {
        return updatedt;
    }

    public void setUpdatedt(Date updatedt) {
        this.updatedt = updatedt;
    }

    public String getAisleswitch() {
        return aisleswitch;
    }

    public void setAisleswitch(String aisleswitch) {
        this.aisleswitch = aisleswitch == null ? null : aisleswitch.trim();
    }

    public String getCertfullphoto() {
        return certfullphoto;
    }

    public void setCertfullphoto(String certfullphoto) {
        this.certfullphoto = certfullphoto == null ? null : certfullphoto.trim();
    }

    public String getCertbackphoto() {
        return certbackphoto;
    }

    public void setCertbackphoto(String certbackphoto) {
        this.certbackphoto = certbackphoto == null ? null : certbackphoto.trim();
    }

    public String getBankcardfrontpic() {
        return bankcardfrontpic;
    }

    public void setBankcardfrontpic(String bankcardfrontpic) {
        this.bankcardfrontpic = bankcardfrontpic == null ? null : bankcardfrontpic.trim();
    }

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid == null ? null : userid.trim();
    }
}